/*****************************************************************************
  GLOBVW.H

  Purpose: CGlobalEditView class definition and header file

  Functions: N/A

  Development Team: Jay Potter


  Written by Microsoft Product Support Services, Languages Developer Support
  Copyright (c) 1994 Microsoft Corporation. All rights reserved.
\****************************************************************************/

#include "gedit.h"
#define IDC_MYEDIT 5001

class CGlobalEditView : public CFormView
{
protected: // create from serialization only
    CGlobalEditView();
    DECLARE_DYNCREATE(CGlobalEditView)
    virtual void OnInitialUpdate();
    CGlobalEdit m_cEdit;

public:
    //{{AFX_DATA(CGlobalEditView)
    enum{ IDD = IDD_GLOBEDIT_FORM };
        // NOTE: the ClassWizard will add data members here
    //}}AFX_DATA

// Attributes
public:
    CGlobalEditDoc* GetDocument();
    afx_msg void Cut();
    afx_msg void Copy();
    afx_msg void Paste();
    afx_msg void Undo();
    void CanUndo(CCmdUI* pCmdUI);
    afx_msg void OnUpdateEditPaste(CCmdUI* pCmdUI);

// Operations
public:

// Implementation
public:
    virtual ~CGlobalEditView();
#ifdef _DEBUG
    virtual void AssertValid() const;
    virtual void Dump(CDumpContext& dc) const;
#endif

protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

    // Printing support
    virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
    virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
    virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
    virtual void OnPrint(CDC* pDC, CPrintInfo*);

// Generated message map functions
protected:
    //{{AFX_MSG(CGlobalEditView)
    afx_msg void OnSize(UINT nType, int cx, int cy);
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in globvw.cpp
inline CGlobalEditDoc* CGlobalEditView::GetDocument()
   { return (CGlobalEditDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
